osmium::thread::function_wrapper::impl_base Struct Reference
Inheritance diagram for osmium::thread::function_wrapper::impl_base:
[legend]

## Public Member Functions

virtual | ~impl_base ()=default
virtual bool | call ()

## Constructor & Destructor Documentation

virtual osmium::thread::function_wrapper::impl_base::~impl_base | ( |  | ) |

virtual default

## Member Function Documentation

virtual bool osmium::thread::function_wrapper::impl_base::call | ( |  | ) |

inline virtual

Reimplemented in osmium::thread::function_wrapper::impl_type< F >.

The documentation for this struct was generated from the following file:

- osmium/thread/function_wrapper.hpp